# Button basics

Home

## Button basics

- Basics
- Options
- Methods
- Events

The following methods apply only to form buttons. Link-based buttons do not have any associated methods.

`enable` enable a disabled form button

      $('[type='submit']').button('enable');

`disable` disable a form button

      $('[type='submit']').button('disable');

`refresh` update the form button

  If you manipulate a form button via JavaScript, you must call the refresh method on it to update the visual styling.

      $('[type='submit']').button('refresh');

### More in this section

- Buttons
- Button basics
- Button icons
- Inline buttons
- Grouped buttons
- Theming buttons